{% extends "catalog/base_generic.html" %}

{% block content %}
    <h1>Borrowed books by all members</h1>

    {% if bookinstance_list %}
        {% regroup bookinstance_list by borrower.username as borrowers_list %}
        <ul class="list-group">
            {% for borrower, borrowed_books in borrowers_list %}
                <li class="list-group-item">
                    {{ borrower }}
                    <span class="badge badge-primary badge-pill">
                        {{ borrowed_books|length }}
                    </span>
                </li>
                <ul class="list-group">
                    {% for bookinst in borrowed_books %}
                        <li class="list-group-item {% if bookinst.is_overdue %}list-group-item-danger{% endif %}">
                            <a href="{% url 'book-detail' bookinst.book.pk %}">{{ bookinst.book.title }}</a>
                            ({{ bookinst.due_back }})
                            {% if perms.catalog.can_renew%}
                                {% if bookinst.has_been_renewed%}
                                    - Already been renewed
                                {% else %}
                                    - <a href="{% url 'renew-book-librarian' bookinst.id %}">Renew</a>
                                {% endif %}
                            {% endif %}
                            {% if perms.catalog.can_mark_returned %}
                                - <a href="{% url 'return-book' bookinst.id %}">Return</a>
                            {% endif %}
                        </li>
                    {% endfor %}
                </ul>
            {% endfor %}
        </ul>
    {% else %}
        <p>There are no books borrowed.</p>
    {% endif %}
{% endblock %}